This is driving me absolutely nuts. For some reason, when I do "ndiswrapper -i bcmwl5.inf" and then "ndiswrapper -l" it says that it's an invalid driver. I know it isn't though because I was using the same .inf file previously on Slackware! All I've done is taken Slackware off and put Gentoo on and now I keep getting that message.

I'm assuming I have something set wrong in the kernel but I can't for the life of me think what it could be. I'm sure that I'm using the same configuration that I was in Slackware. ACPI is enabled but there are no IRQ conflicts. I've trying adding "acpi=noirq" and "pci=routeirq" to the kernel line in grub.conf but they don't solve anything.

Does anyone have any idea what I could be doing wrong?